Usando Sass/Compass com Gemfile

Isso é util para garantir que a sua aplicação funcione sem problemas no futuro ou por exemplo se você tem projetos usando diferêntes versões do Sass ou Compass.

É necessário instalar o bundler (http://bundler.io/)

$ gem install bundler

Na raiz do projeto use o comando:

$ bundle init

Isso vai criar um arquivo Gemfile onde você pode colocar as depenências da aplicação.

Por exemplo:

source "http://rubygems.org/"
gem "compass", "0.12.1"
gem "ceaser-easing", "0.4"

Depois você tem duas opções:

Instalar as dependências no sistema.

$ bundle install

Ou espeficicar um local (melhor opção caso você queira usar versões diferentes).

$ bundle install --path .bundle

Esse segunda opção vai instalar as dependencias no diretório .bundle

Para rodar o compass que foi instalando no --path especificado use:

$ bundle exec compass -v
blog comments powered by Disqus